Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 1956473002: Retract GrRenderTarget a bit within SkGpuDevice (Closed)

Created:
3 years ago by robertphillips
Modified:
3 years ago
Reviewers:
bsalomon
CC:
reviews_skia.org
Base URL:
https://skia.googlesource.com/skia.git@master
Target Ref:
refs/heads/master
Project:
skia
Visibility:
Public.

Description

Patch Set 1 #

Patch Set 2 : Retract GrRenderTarget a bit within SkGpuDevice #

Patch Set 3 : Remove possible regressor #

Unified diffs Side-by-side diffs Delta from patch set Stats (+12 lines, -10 lines) Patch
M include/gpu/GrDrawContext.h View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M src/gpu/SkGpuDevice.cpp View 1 2 6 chunks +9 lines, -7 lines 0 comments Download
M src/image/SkSurface_Gpu.cpp View 2 chunks +2 lines, -3 lines 0 comments Download

Messages

Total messages: 27 (14 generated)
robertphillips
3 years ago (2016-05-05 18:22:38 UTC) #5
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1956473002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1956473002/20001
3 years ago (2016-05-05 18:22:59 UTC) #7
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years ago (2016-05-05 18:47:06 UTC) #9
bsalomon
lgtm
3 years ago (2016-05-05 18:47:25 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1956473002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1956473002/20001
3 years ago (2016-05-05 19:02:35 UTC) #12
commit-bot: I haz the power
Committed patchset #2 (id:20001) as https://skia.googlesource.com/skia/+/d215a95882485026d176a81bf58871276b21c89c
3 years ago (2016-05-05 19:03:32 UTC) #14
robertphillips
A revert of this CL (patchset #2 id:20001) has been created in https://codereview.chromium.org/1954103002/ by robertphillips@google.com. ...
3 years ago (2016-05-06 14:55:09 UTC) #15
robertphillips
On 2016/05/06 14:55:09, robertphillips wrote: > A revert of this CL (patchset #2 id:20001) has ...
3 years ago (2016-05-09 12:03:31 UTC) #17
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1956473002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1956473002/40001
3 years ago (2016-05-13 17:35:48 UTC) #19
robertphillips
I haven't been able to reproduce the regression locally. I have removed the only possible ...
3 years ago (2016-05-13 17:37:32 UTC) #20
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years ago (2016-05-13 17:58:59 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1956473002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1956473002/40001
3 years ago (2016-05-13 18:19:52 UTC) #25
commit-bot: I haz the power
3 years ago (2016-05-13 18:20:49 UTC) #27
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://skia.googlesource.com/skia/+/e576874b162f8c66aa6c2e06cb6bc459ccd8b6f9

Powered by Google App Engine
This is Rietveld 408576698